Energy
Worldwide forecasts of the parameters that drive generation and demand — wind speed at turbine heights, solar radiation and temperature. Based on current observations combined with numerical weather prediction.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Worldwide forecasts of the parameters that drive generation and demand — wind speed at turbine heights, solar radiation and temperature. Based on current observations combined with numerical weather prediction.
Endpoints
15-minutely
15-minute energy forecasts. Contains the same parameters as the hourly forecast, except for the surface solar radiation downwards (ssrd).
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 8, maximum 24)
tzType: stringTime zone in response (IANA time zone database names)
tempunitType: stringTemperature unit: "C", "F" (default "C")
/api/v1/energy/forecast/15minutely/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/energy/forecast/15minutely/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"dewPoint": 1.75,
"relHumidity": 87,
"temperature": 3.76,
"time": "2026-04-29T17:15+03:00",
"windd_h100": 248,
"windd_h150": 251.81,
"windd_h200": 255.21,
"winds_h100": 7.23,
"winds_h150": 7.63,
"winds_h200": 8.06
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"dewPoint": {
"type": "number",
"example": 1.75,
"description": "Dew point, in °C (degree Celsius, or requested tempunit)"
},
"relHumidity": {
"type": "number",
"example": 87,
"description": "Relative humidity at 2 m height, in % (percentage)"
},
"temperature": {
"type": "number",
"example": 3.76,
"description": "Temperature at 2 m height, in °C (degree Celsius, or requested tempunit)"
},
"time": {
"type": "string",
"example": "2026-04-29T17:15+03:00"
},
"windd_h100": {
"type": "number",
"example": 248,
"description": "Wind direction at 100 m height, in degrees, 0...360° (0°: from north, 180°: from south)"
},
"windd_h150": {
"type": "number",
"example": 251.81,
"description": "Wind direction at 150 m height, in degrees (from windd_h100 and windd_h200)"
},
"windd_h200": {
"type": "number",
"example": 255.21,
"description": "Wind direction at 200 m height, in degrees"
},
"winds_h100": {
"type": "number",
"example": 7.23,
"description": "Wind speed at 100 m height, in m/s (meters per second)"
},
"winds_h150": {
"type": "number",
"example": 7.63,
"description": "Wind speed at 150 m height, in m/s (from winds_h100 and winds_h200)"
},
"winds_h200": {
"type": "number",
"example": 8.06,
"description": "Wind speed at 200 m height, in m/s"
}
}
}
}
}
}Hourly
Hourly energy forecasts.
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 220, maximum 350, may contain 345...350 steps)
tzType: stringTime zone in response (IANA time zone database names)
tempunitType: stringTemperature unit: "C", "F" (default "C")
/api/v1/energy/forecast/hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/energy/forecast/hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"dewPoint": 0.7,
"relHumidity": 83,
"ssrd": 351,
"temperature": 3.32,
"time": "2025-04-09T16:00+03:00",
"windd_h100": 298.24,
"windd_h150": 301.07,
"windd_h200": 303.57,
"winds_h100": 12.78,
"winds_h150": 13.63,
"winds_h200": 14.52
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"dewPoint": {
"type": "number",
"example": 0.7,
"description": "Dew point, in °C (degree Celsius, or requested tempunit)"
},
"relHumidity": {
"type": "number",
"example": 83,
"description": "Relative humidity at 2 m height, in % (percentage)"
},
"ssrd": {
"type": "number",
"example": 351,
"description": "Surface short-wave (solar) radiation downwards, in W/m² (watts per square meter)"
},
"temperature": {
"type": "number",
"example": 3.32,
"description": "Temperature at 2 m height, in °C (degree Celsius, or requested tempunit)"
},
"time": {
"type": "string",
"example": "2025-04-09T16:00+03:00"
},
"windd_h100": {
"type": "number",
"example": 298.24,
"description": "Wind direction at 100 m height, in degrees, 0...360° (0°: from north, 180°: from south)"
},
"windd_h150": {
"type": "number",
"example": 301.07,
"description": "Wind direction at 150 m height, in degrees (from windd_h100 and windd_h200)"
},
"windd_h200": {
"type": "number",
"example": 303.57,
"description": "Wind direction at 200 m height, in degrees"
},
"winds_h100": {
"type": "number",
"example": 12.78,
"description": "Wind speed at 100 m height, in m/s (meters per second)"
},
"winds_h150": {
"type": "number",
"example": 13.63,
"description": "Wind speed at 150 m height, in m/s (from winds_h100 and winds_h200)"
},
"winds_h200": {
"type": "number",
"example": 14.52,
"description": "Wind speed at 200 m height, in m/s"
}
}
}
}
}
}